Package org.apache.cxf.security

# Interface LoginSecurityContext

All Superinterfaces:
  `SecurityContext`

All Known Implementing Classes:
  `DefaultSecurityContext`, `RolePrefixSecurityContextImpl`

public interface LoginSecurityContext extends SecurityContext
LoginSecurityContext provides additional information about the authenticated principal. `SecurityContext` implementations which can get the authenticated Subject and/or the list of the user roles may implement this interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Subject`
  `getSubject()`
  Returns the Subject representing the current authenticated user.
  `Set<Principal>`
  `getUserRoles()`
  Returns a set of Principals representing the roles assigned to the current authenticated user Principal

  ### Methods inherited from interface org.apache.cxf.security.SecurityContext

  `getUserPrincipal, isUserInRole`

- ## Method Details

  - ### getSubject

    Subject getSubject()
    Returns the Subject representing the current authenticated user.
    Returns:
      the subject

  - ### getUserRoles

    Set<Principal> getUserRoles()
    Returns a set of Principals representing the roles assigned to the current authenticated user Principal
    Returns:
      the roles